#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>


IPAddress local_IP(192,168,4,2);
IPAddress gateway(192,168,4,1);
IPAddress subnet(255,255,252,0);
int WiFi_OK;
int WiFi_Mode = 1;
ESP8266WebServer server(80);


// Décrire cette fonction
void Marche() {
  server.send(200, "text/html", "LED brille");
  digitalWrite(2, LOW);
}


// Décrire cette fonction
void Arret() {
  server.send(200, "text/html", "LED off");
  digitalWrite(2, HIGH);
}


// Décrire cette fonction
void FonctionURLNotFound() {
  server.send(404, "text/html", "URL Inconnue");
}



void setup() {
  WiFi_OK = WiFi.softAPConfig(local_IP, gateway, subnet);
WiFi_OK &= WiFi.softAP("ESP8266_SSID");

    server.on("/marche", Marche);
  server.on("/arret", Arret);
  server.onNotFound(FonctionURLNotFound);
  server.begin();
  pinMode(2, OUTPUT);
}

void loop() {
  server.handleClient();

}
