#define BLYNK_PRINT Serial

#define BLYNK_TEMPLATE_ID  "TMPLvKAR9uy4"
#define BLYNK_DEVICE_NAME  "Thermostat"
#define BLYNK_AUTH_TOKEN  "5HSQFbg4VuYuMBoBSI9OsFP3iwfiLoXP"

#include <ESP8266WiFi.h>
#include <BlynkSimpleEsp8266.h>
#include <DHT.h>


BlynkTimer Blynk_Timer;
const char *WiFi_ssid = "iPhone-Thierry";
const char *WiFi_pass = "Essai-Fablab-201810";


boolean EtatLED;
boolean Marche;
int ConsigneTemp;
int Temperature;

BLYNK_CONNECTED()
 {
Blynk.syncVirtual(V2);
Blynk.syncVirtual(V3);
}

DHT dht_12_DHT11(12,DHT11);

BLYNK_WRITE(V3)
{
  ConsigneTemp = param.asInt();
}

BLYNK_WRITE(V2)
{
  Marche = param.asInt();
}


// Décrire cette fonction
void TimerFunction() {
  Temperature = (int)(dht_12_DHT11.readTemperature());
  Serial.print("Température : "); Serial.println(Temperature);
  Blynk.virtualWrite(0, Temperature);
  Blynk.virtualWrite(1, (int)(dht_12_DHT11.readHumidity()));
  EtatLED = Marche && Temperature < ConsigneTemp;
  Blynk.virtualWrite(4, (EtatLED * 255));
}



void setup() {
  Serial.begin(115200);
  pinMode(2, OUTPUT);
  Blynk_Timer.setInterval(10000L, TimerFunction);
  Blynk.begin(BLYNK_AUTH_TOKEN, WiFi_ssid, WiFi_pass);
    digitalWrite(2, HIGH);
  EtatLED = false;
  Marche = false;
  ConsigneTemp = 0;

  dht_12_DHT11.begin();

}

void loop() {
    digitalWrite(2, (!Marche));
    Blynk.run();
    Blynk_Timer.run();

}
